1. Orders
OrderMesh QA
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
        POST
      • Search for orders based on various criteria and filters.
        GET
      • Create multiple orders
        POST
      • Retrieve multiple orders
        GET
      • Update multiple orders
        PATCH
      • Retrieve a list of orders
        GET
      • Retrieve an order by Order ID.
        GET
      • Update order data.
        PATCH
      • Retrieve an order by Safe ID
        GET
      • Retrieve order item by Order Item ID
        GET
      • Update an item within an order.
        PATCH
      • Cancel Order or order items
        POST
      • Change the order status to Customer Care Hold
        POST
      • Retrieve audit logs for a specific order.
        GET
      • Retrieve audit logs for a specific order.
        GET
      • Retrieve audit logs for a specific order item.
        GET
      • Add a Refund Request.
        POST
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
      • Update a merchant catalog
      • Partially update a merchant catalog
      • Get a list of merchant catalogs
      • Delete a merchant catalog
      • Get a merchant catalog and search variants in it
      • Get a merchant catalog with variants
      • Get a list of variants the merchant can use in accordance with their enabled catalog
      • Search for variants in enabled merchant catalog with fallback to global catalog
      • Get audit logs of a merchant catalog
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
      • Create a variant
      • Search product variants
      • Get audit logs of a variant
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
      • Update details of a specific shipment by Shipment ID.
      • Create packages for a specific shipment.
      • Delete shipment with packages.
      • Get all shipments for an order by Order ID.
      • Create shipment for order, vendor, and order items.
      • Get shipment with packages for order and vendor.
      • Get shipment details by Order Item ID.
      • Update a specific shipment package.
      • Delete a specific shipment package.
      • Cancel shipment.
      • Unassign items to shipment.
      • Shipment resubmission to assigned facility.
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
      • Search shipments.
      • Reroute shipment.
      • Rejects a shipment.
      • Bulk reroute shipments.
      • Get shipment audit logs.
      • Get package audit logs.
      • Get message audit logs for shipment updates.
      • Assign Shipment.
  • Schemas
    • Notes
      • /v1/notes
      • /v1/notes
      • /v1/notes/{noteId}
      • /v1/notes/{id}
      • /v1/notes/{id}
      • /v1/notes/{id}/auditLogs
  1. Orders

Retrieve order item by Order Item ID

GET
/v1/orders/{orderId}/orderItems/{itemId}
This endpoint allows you to retrieve information about an order item using the Order Item ID.

Request

Path Params

Responses

🟢200
application/json
OK
Body

🟠400
🟠401
🟠403
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.qa.ordermesh.io/order/v1/orders//orderItems/'
Response Response Example
200 - Success
{
    "orderItem": {
        "id": "65aac2a2441de72442397b63",
        "shortId": "I05790100",
        "externalId": "EXT123456",
        "sku": "MERCH-TSHIRT-BLACK-M",
        "originalSKU": "Apparel-Tshirt-Gildan-5000-M-Black-Mens",
        "quantity": 2,
        "status": "Open",
        "statusDesc": null,
        "createdAt": "2024-01-19T18:42:42.086+00:00",
        "updatedAt": "2024-01-19T18:42:50.083+00:00",
        "processedAt": "2024-01-20T09:00:00+00:00",
        "cancelledAt": null,
        "images": [
            {
                "url": "https://example.com/tshirt-front.jpg",
                "thumbnailUrl": "https://example.com/tshirt-thumbnail.jpg",
                "area": "Front",
                "printMethod": "DirectToGarment",
                "ourUrl": null,
                "ourFileId": null,
                "ourThumbnailUrl": null,
                "ourThumbnailFileId": null,
                "vendorReadyFileId": null
            }
        ],
        "options": [
            {
                "name": "Size",
                "value": "Medium"
            },
            {
                "name": "Color",
                "value": "Black"
            }
        ],
        "attributes": [
            {
                "name": "Material",
                "value": "Cotton"
            }
        ],
        "customerSubtotal": {
            "currency": "USD",
            "amount": 24
        },
        "customerPrice": {
            "currency": "USD",
            "amount": 12
        },
        "customerShippingPrice": {
            "currency": "USD",
            "amount": 5
        },
        "customerTaxes": {
            "currency": "USD",
            "amount": 2
        },
        "merchantPrice": {
            "currency": "USD",
            "amount": 10
        },
        "merchantShippingPrice": {
            "currency": "USD",
            "amount": 4
        },
        "merchantTax": {
            "currency": "USD",
            "amount": 1.8
        },
        "merchantSubTotal": {
            "currency": "USD",
            "amount": 20
        },
        "merchantItemTotal": {
            "currency": "USD",
            "amount": 25.8
        },
        "clientAttributes": {
            "DesignId": "D1001",
            "ProductionBatch": "B2002"
        },
        "meta": {
            "SpecialInstructions": "Handle with care"
        },
        "isSample": true,
        "skipImgManip": false,
        "skipImageValidation": false,
        "skipSkuValidation": false,
        "fulfillmentReady": null,
        "refundData": {
            "refunds": [
                {
                    "transactionId": "f0348f808fj4",
                    "isShippingRefund": true,
                    "amount": 4,
                    "reason": "Never arrived"
                },
                {
                    "transactionId": "f0348f808fj4",
                    "isShippingRefund": false,
                    "amount": 10,
                    "reason": "Poor quality."
                }
            ],
            "remainingShippingBalance": 3,
            "remainingPriceBalance": 20
        }
    }
}
Modified at 2026-09-10 16:05:53
Previous
Retrieve an order by Safe ID
Next
Update an item within an order.
Built with